using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ParticleFramework;

namespace Mobiles
{
    class Program
    {

        public static MobilesPackets packetHandle = new MobilesPackets();

        static void Main(string[] args)
        {
            if (args.Length >= 1)
            {
                if (!Particle.Initialize(args[0], packetHandle))
                {
                    Console.ReadKey();
                    return;
                }

                //Display pMobiles message
                Console.WriteLine("");
                Console.WriteLine("###################################");
                Console.WriteLine("##   pMobiles server emulator    ##");
                Console.WriteLine("##         Version 0.0.1         ##");
                Console.WriteLine("###################################");
                Console.WriteLine("");
                Console.WriteLine("[pMobiles] Initializing rooms...");

                //Initialize Mobiles rooms
                Rooms.RoomLoader.initializeRooms();

                Console.WriteLine("[pMobiles] Rooms initalized.");
                Console.WriteLine("[pMobiles] Initializing bots...");

                //Maarit
                Mobiles.Rooms.Bot Maarit = new Mobiles.Rooms.Bot("Maarit");
                Mobiles.Rooms.RoomManager.roomBots.Add(Maarit);

                Console.WriteLine("[pMobiles] Bots initalized.");

                Console.ReadKey();

            }
            else
            {
                Console.WriteLine("Invalid number of command line arguments!");
                Console.WriteLine("Press any key to quit.");
                Console.ReadKey();
            }
        }
    }
}
